<ion-content>
  <ion-card style="background-color:#e9e9e9">
    <div style="margin: 1%">
      <ion-card-header>
        <ion-card-title style=" font-weight: bold;">Datos personales</ion-card-title>
      </ion-card-header>

      <ion-card-content>
        <div style="text-align: center">
          <img id="myImg" src="../../assets/icon/no-avatar.png">
        </div>
        <br>
        <input type="file" name="file" id="file" class="inputfile" (change)="fileChanged($event)" />
        <label for="file"><ion-icon name="camera"></ion-icon></label>
        <br>
        <br>
        <ion-label style=" font-weight: bold;">Nombre</ion-label>
        <br>
        <ion-label>{{userData?.fullName}}</ion-label>
        <br><br>
        <ion-label style=" font-weight: bold;">Email</ion-label>
        <br>
        <ion-label>{{userData?.email}}</ion-label>
      </ion-card-content>
    </div>
  </ion-card>



  <ion-card style="background-color:#e9e9e9;margin-top: 15%">
    <ion-card-header>
      <ion-card-title style=" font-weight: bold;">Ajustes</ion-card-title>
    </ion-card-header>
    <ion-card-content>
      <ion-button style="width: 100%" (click)="deleteAllMedications()">
        Borrar todas las medicaciones
      </ion-button>
      <ion-button style="width: 100%" (click)="deleteAccount()">
        Borrar cuenta
      </ion-button>
      <ion-button [routerLink]="[ '/farmacias-cercanas' ]" style="width: 100%">
        Buscar farmacias cercanas
      </ion-button>
      <ion-button (click)="logOut()" color="danger" style="width: 100%">
        salir
      </ion-button>
    </ion-card-content>
  </ion-card>
</ion-content>